SLASH_ELGOH1 = "/elgoh";
SlashCmdList["ELGOH"] = function(msg, editBox)
	msg = string.lower(msg);
	if(msg=="options" or msg=="config" or msg=="settings") then
		InterfaceOptionsFrame_OpenToCategory("Elgoh");
		return;
	elseif(msg=="start") then
		if(CanEditOfficerNote()==false) then return; end
		Elgoh.StartDKP();
		return;
	elseif(msg=="import") then
		if(CanEditOfficerNote()==false) then 
			ElPrint("You cannot edit Officer notes");
			return; 
		end;
		for i=1, GetNumGuildMembers(), 1 do 
			local name = GetGuildRosterInfo(i);
			Elgoh.LoadValues(name);
		end
		SendChatMessage("Elgoh.: Website EPGP has been imported", "OFFICER")
		return;
	else
		ElPrint("Available Commands:");
		ElPrint("import - Loads all values contained in the website export file (Irreversible; Make sure you're sure you wish to do this)(Requires Officer)");
		ElPrint("start - Generates a list of people in the same zone as you (for import into Guildlaunch) (Requires Officer)");
		ElPrint("config - Opens the options menu to configure Elgoh.");
		return;
	end
end

SLASH_READYCHECK1 = "/rc"
SlashCmdList["RC"] = function(msg, editBox)
	DoReadyCheck();
end

SLASH_LGOHB1 = "/breaktime"
SlashCmdList["LGOHB"] = function(msg, editBox)
	local Time=msg;
	if(Time=="") then Time=10; end
	if(IsAddOnLoaded("DBM-Core")) then	
		SendChatMessage(string.gsub(Elgoh.Settings["BreaktimeString"], "TIME", Time), "RAID")
		DBM:CreatePizzaTimer(60*Time, "Breaktime", 1, "the Officers")
	else
		ElPrint("Timers require Deadly Boss Mods");
	end
end

function Elgoh.AllowToMove(frame)
	frame:EnableMouse(true)
	frame:SetMovable(true);
	frame:SetClampedToScreen(true);
	frame:RegisterForDrag("LeftButton");
	frame:SetScript("OnDragStart", frame.StartMoving);
	frame:SetScript("OnDragStop", frame.StopMovingOrSizing);
end

function ElPrint(...)
	local message=strjoin(" ", tostringall(...));
	message="|cff66ff33Elgoh:|r "..message;
	print(message);
end

function ElDebug(...)
	message=strjoin(" ", tostringall(...));
	if(Elgoh.Settings["Debug"]==1 and message~=nil) then
		message="|cff119900Elgoh:|r "..message;
		print(message);
	end
end